Bug 196003 - ASSERTION FAILED: !object || !isRuby(object->parent()) || is<RenderRubyRun>(*object) || (object->isInline() && (object->isBeforeContent() || object->isAfterContent())) || (object->isAnonymous() && is<RenderBlock>(*object) && object->style().display() == D
Summary: ASSERTION FAILED: !object || !isRuby(object->parent()) || is<RenderRubyRun>(*...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-20 07:21 PDT by zalan
Modified: 2019-10-30 15:08 PDT (History)
13 users (show)

See Also:


Attachments
Test reduction (174 bytes, text/html)
2019-04-25 12:57 PDT, zalan
no flags Details
Patch (5.47 KB, patch)
2019-10-30 11:16 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2019-03-20 07:21:25 PDT
when loading LayoutTests/fast/ruby/crash-when-paginated-ruby.html
Comment 1 Alexey Proskuryakov 2019-03-22 10:45:44 PDT
This is a new test added on 2019-03-13. But have we not seen this on bots?
Comment 2 Ryan Haddad 2019-03-22 10:49:08 PDT
The test was added with https://bugs.webkit.org/show_bug.cgi?id=195701

The test was skipped for all debug configs in https://trac.webkit.org/changeset/243201/webkit
Comment 3 Alexey Proskuryakov 2019-03-22 17:01:44 PDT
So the test was landed skipped on Mac Debug right away.
Comment 4 Lucas Forschler 2019-03-25 10:20:34 PDT
<rdar://problem/49219890>
Comment 5 zalan 2019-04-25 12:57:59 PDT
Created attachment 368259 [details]
Test reduction
Comment 6 zalan 2019-10-30 11:16:58 PDT
Created attachment 382334 [details]
Patch
Comment 7 WebKit Commit Bot 2019-10-30 13:49:22 PDT
Comment on attachment 382334 [details]
Patch

Clearing flags on attachment: 382334

Committed r251799: <https://trac.webkit.org/changeset/251799>
Comment 8 WebKit Commit Bot 2019-10-30 13:49:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Alexey Proskuryakov 2019-10-30 15:07:15 PDT
Nice!
Comment 10 zalan 2019-10-30 15:08:40 PDT
(In reply to Alexey Proskuryakov from comment #9)
> Nice!
Thanks! I knew you were going to like it. :)